2017-03-19 23:44  

	* [r467] build-in-docker.sh:
	  typo fixed

2017-03-19 18:59  

	* [r466] ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf, build-in-docker.sh, configure.ac,
	  debian/control.in, mrw-c++.spec.in, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh, rpmsign.exp[ADD]:
	  tested all rpm builds

2017-03-17 17:14  

	* [r465] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh, resolve-debbuilddeps.sh:
	  improved windozw build

2016-12-12 14:12  

	* [r464] ChangeLog, bootstrap.sh, build-in-docker.sh,
	  resolve-rpmbuilddeps.sh:
	  new build mode for windows mingw cross compilation

2016-12-10 14:53  

	* [r463] ChangeLog, build-in-docker.sh:
	  fix build on debian

2016-12-10 13:35  

	* [r462] mrw-c++.spec.in:
	  fixed rpm builds

2016-12-09 15:51  

	* [r461] ChangeLog:
	  fix build issues - utf-8 gpg uid still not supported for most rpm
	  based distros

2016-12-09 12:12  

	* [r460] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh, configure.ac, resolve-debbuilddeps.sh:
	  fix some build issues, i.e. pgp utf-8

2016-12-09 08:26  

	* [r459] ChangeLog, bootstrap.sh, build-in-docker.sh,
	  mrw-c++.spec.in:
	  improved build

2016-12-08 21:11  

	* [r458] mrw-c++.spec.in:
	  fix mageia dependency

2016-12-08 20:51  

	* [r457] ChangeLog, bootstrap.sh, build-in-docker.conf,
	  build-in-docker.sh, mrw-c++.spec.in:
	  fixed rpm signing

2016-12-08 17:40  

	* [r456] ChangeLog, ax_init_standard_project.m4:
	  debian/changelog does not allow tabs

2016-12-08 15:02  

	* [r455] ax_init_standard_project.m4, build-in-docker.sh:
	  fixed debian changelog, rpm package signing and mageia update

2016-12-08 10:00  

	* [r454] ChangeLog, build-in-docker.sh:
	  fixed update problem in mageia

2016-12-07 20:34  

	* [r453] bootstrap.sh, build-in-docker.sh:
	  typo

2016-12-07 20:21  

	* [r452] build-in-docker.sh, mrw-c++.spec.in,
	  resolve-rpmbuilddeps.sh:
	  tested on mageia 5 :)

2016-12-07 19:28  

	* [r451] ChangeLog, bootstrap.sh, build-in-docker.sh,
	  debian/control.in, mrw-c++.spec.in, resolve-rpmbuilddeps.sh:
	  tested on fedora, centos, opensuse and ubuntu

2016-12-07 15:59  

	* [r450] bootstrap.sh, build-in-docker.sh, configure.ac,
	  mrw-c++.spec.in, resolve-rpmbuilddeps.sh:
	  build improved for fedora, centos, opensuse

2016-12-07 12:35  

	* [r449] bootstrap.sh, build-in-docker.sh, resolve-rpmbuilddeps.sh:
	  improved build, so that build in docker does not depend on the
	  hosting system

2016-12-07 10:27  

	* [r448] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh, mrw-c++.spec.in, resolve-rpmbuilddeps.sh:
	  successfully built rpm on fedora 25

2016-10-17 14:06  

	* [r447] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh, debian/changelog.in, debian/control.in:
	  improved debian changelog

2016-09-28 19:14  

	* [r446] ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh:
	  fixed build

2016-09-28 18:14  

	* [r445] ChangeLog, debian/control.in:
	  fix build on old systems

2016-09-28 15:02  

	* [r444] ax_cxx_compile_stdcxx_11.m4, ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.sh, doc/footer.html.in[ADD],
	  doc/header.html.in[ADD], doc/plantuml.jar[ADD],
	  doc/style.css[ADD], makefile_test.inc.am[ADD],
	  resolve-debbuilddeps.sh, sql-to-dot.sed, src/mrw/list.hxx,
	  test/mrw-c++.cxx[ADD]:
	  bugfix, possible crash

2016-06-01 12:58  

	* [r443] autogen.sh[ADD], ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.sh, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh:
	  buid updated

2016-06-01 12:34  

	* [r442] debian/control.in:
	  add missing build dependencies

2016-06-01 12:18  

	* [r441] bootstrap.sh, debian/control.in:
	  add missing build dependencies

2016-04-04 09:47  

	* [r440] ax_init_standard_project.m4, bootstrap.sh,
	  mac-create-app-bundle.sh:
	  after migration to new svn server

2016-04-03 16:18  

	* [r439] ChangeLog, build-in-docker.sh, resolve-debbuilddeps.sh:
	  after svn-server restore

2015-12-08 13:14  marc

	* [r438] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf[ADD], build-in-docker.sh,
	  mrw-c++.desktop.in[ADD], resolve-debbuilddeps.sh,
	  sql-to-dot.sed[ADD], src/version.cxx, src/version.cxx.in[DEL]:
	  build in docker for all debian based distros

2015-11-16 12:38  marc

	* [r437] doc/doxyfile.in:
	  SVG must not be interactive for embedding in redmine

2015-11-09 08:27  marc

	* [r436] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  resolve-debbuilddeps.sh:
	  fixed dependency resolve

2015-11-07 10:47  marc

	* [r435] bootstrap.sh:
	  there is no qt4-default

2015-11-07 09:23  marc

	* [r434] bootstrap.sh:
	  there is no qt4-default

2015-11-05 09:57  marc

	* [r433] ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh[ADD], debian/control.in,
	  resolve-debbuilddeps.sh:
	  updated build system

2015-11-03 13:36  marc

	* [r432] ax_init_standard_project.m4, configure.ac,
	  debian/control.in, resolve-debbuilddeps.sh:
	  should now work fr any ubuntu distributon

2015-11-03 10:41  marc

	* [r431] debian/control.in, resolve-debbuilddeps.sh:
	  prepared for build in a docker instance on jenkins

2015-11-03 09:29  marc

	* [r430] ChangeLog, ax_check_qt.m4, bootstrap.sh,
	  resolve-debbuilddeps.sh:
	  faster resolve-bebuilddeps.sh

2015-11-02 22:43  marc

	* [r429] resolve-debbuilddeps.sh:
	  sudo or not sudo shall be the problem of the caller

2015-11-01 17:39  marc

	* [r428] debian/control.in:
	  build fixes

2015-11-01 15:30  marc

	* [r427] resolve-debbuilddeps.sh:
	  build fixes

2015-11-01 15:25  marc

	* [r426] bootstrap.sh, resolve-debbuilddeps.sh:
	  build fixes

2015-11-01 14:10  marc

	* [r425] AUTHORS:
	  build fixes

2015-11-01 13:12  marc

	* [r424] debian/control.in:
	  build fixes

2015-11-01 13:05  marc

	* [r423] debian/control.in:
	  build fixes

2015-11-01 12:37  marc

	* [r422] bootstrap.sh, resolve-debbuilddeps.sh:
	  build fixes

2015-11-01 12:23  marc

	* [r421] debian/control.in:
	  build fixes

2015-11-01 11:46  marc

	* [r420] resolve-debbuilddeps.sh:
	  build fixes

2015-11-01 11:42  marc

	* [r419] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, resolve-debbuilddeps.sh:
	  build fixes

2015-11-01 11:25  marc

	* [r418] debian/control.in:
	  missing automake in dependencies

2015-10-20 12:54  marc

	* [r417] doc/doxyfile.in, resolve-rpmbuilddeps.sh:
	  no search engine for redmine embedding

2015-09-11 11:10  marc

	* [r416] resolve-rpmbuilddeps.sh:
	  new feature resolve-rpmbuilddeps.sh

2015-09-11 10:42  marc

	* [r415] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  build-resource-file.sh[ADD], resolve-debbuilddeps.sh[ADD],
	  resolve-rpmbuilddeps.sh[ADD]:
	  new feature resolve-rpmbuilddeps.sh

2015-09-01 09:22  marc

	* [r414] debian/control.in:
	  binutils-dev is always needed

2015-09-01 09:12  marc

	* [r413] debian/control.in:
	  build depends on libiberty-dev or binutils-dev and libz-dev

2015-09-01 09:04  marc

	* [r412] debian.changelog.in[DEL], debian.control.in[DEL],
	  debian.rules.in[DEL], debian/control.in:
	  build depends on libiberty-dev

2015-08-17 12:18  marc

	* [r411] ax_init_standard_project.m4, bootstrap.sh:
	  Debian sid is mor restrictive in time format

2015-07-31 10:45  marc

	* [r410] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  mrw-c++.spec.in:
	  fixed version number

2015-07-29 14:35  marc

	* [r409] ChangeLog, debian, debian/changelog.in[ADD],
	  debian/compat[ADD], debian/control.in[ADD], debian/docs[ADD],
	  debian/mrw-c++-dev.install[ADD], debian/mrw-c++.install[ADD],
	  debian/rules[ADD]:
	  new debian build

2015-07-29 12:27  marc

	* [r408] ax_init_standard_project.m4, bootstrap.sh,
	  mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 12:19  marc

	* [r407] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 12:18  marc

	* [r406] ax_init_standard_project.m4, bootstrap.sh:
	  build fixes for rpm

2015-07-29 11:43  marc

	* [r405] mrw-c++.spec.in:
	  build fixes for rpm - centos 5/6 don't know m4_esyscmd_s

2015-07-29 11:41  marc

	* [r404] ax_init_standard_project.m4:
	  build fixes for rpm - centos 5/6 don't know m4_esyscmd_s

2015-07-29 11:22  marc

	* [r403] ax_init_standard_project.m4, mrw-c++.spec.in:
	  build fixes for rpm - centos 5/6 don't know m4_esyscmd_s

2015-07-29 10:56  marc

	* [r402] ax_init_standard_project.m4, bootstrap.sh,
	  mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 10:51  marc

	* [r401] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 10:46  marc

	* [r400] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 08:24  marc

	* [r399] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 06:57  marc

	* [r398] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 06:53  marc

	* [r397] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-29 06:42  marc

	* [r396] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:46  marc

	* [r395] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:35  marc

	* [r394] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:31  marc

	* [r393] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:28  marc

	* [r392] mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:22  marc

	* [r391] README, mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 14:18  marc

	* [r390] ax_init_standard_project.m4, bootstrap.sh, makefile.am,
	  mrw-c++.spec.in:
	  build fixes for rpm

2015-07-28 13:34  marc

	* [r389] mrw-c++.spec.in:
	  dependencies fixed

2015-07-28 12:15  marc

	* [r388] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac, doc/doxyfile.in, examples/makefile.am,
	  mac-create-app-bundle.sh[ADD], makefile.am, mrw-c++.spec.in,
	  src/makefile.am, src/mrw/mrw.hxx[CPY], src/mrw/mrw.hxx.in[DEL],
	  src/version.cxx[ADD], src/version.hxx[ADD]:
	  adapt to new build system

2015-07-12 16:36  marc

	* [r387] debian/control.in:
	  debian build requires libdemangle, no libiberty on debian, ubuntu
	  only

2015-07-12 16:30  marc

	* [r386] debian/control.in:
	  debian build requires libdemangle

2015-06-23 12:34  marc

	* [r385] src/mrw/auto.hxx:
	  undo previous changes to compile for precise, lucid, squeeze

2015-06-23 12:25  marc

	* [r384] src/mrw/auto.hxx:
	  undo previous changes to compile for precise, lucid, squeeze

2015-06-23 12:07  marc

	* [r383] ChangeLog, ax_check_qt.m4[ADD],
	  ax_init_standard_project.m4[ADD], bootstrap.sh, src/mrw/auto.hxx,
	  src/mrw/checkcxx11.hxx:
	  minor changes - don't know wha it does not compile for precise,
	  lucid, squeeze

2015-05-25 08:03  marc

	* [r382] ChangeLog, doc/makefile.am, src/mrw/auto.hxx,
	  test/auto_test.cxx, test/exec_test.cxx, test/stdext_test.cxx:
	  fixed some non-explicit conversions, so that make distcheck runs
	  on mac yosemite

2015-05-05 18:43  marc

	* [r381] configure.ac:
	  need to do a minor update due to least modulo 256

2015-05-05 17:43  marc

	* [r380] test/makefile.am:
	  fixed dependency in bug

2015-05-04 12:54  marc

	* [r379] ChangeLog, configure.ac:
	  Mac sh has no echo -n

2015-05-04 12:11  marc

	* [r378] configure.ac:
	  on Mac, LEAST cannot be larger than 255

2015-05-04 11:53  marc

	* [r377] src/mrw-c++.pc.in:
	  bugfix in pkg-config package

2015-04-29 12:53  marc

	* [r376] src/mrw/stdext.hxx, test/stdext_test.cxx:
	  new functions min and max for 2 - 2+n parameters - now in C++11
	  vith variadics

2015-04-29 11:56  marc

	* [r375] src/mrw/mrw.hxx.in, src/mrw/stdext.hxx:
	  new functions min and max for 2 - 6 parameters

2015-03-24 08:05  marc

	* [r374] README:
	  new url

2015-03-17 12:58  marc

	* [r373] ChangeLog, configure.ac, doc/doxyfile.in,
	  doc/examples[DEL], doc/makefile.am, examples[CPY], makefile.am,
	  test/makefile.am:
	  moved doc/examples to examples according to new build process

2015-03-03 13:17  marc

	* [r372] configure.ac, makefile.am, src/mrw/args.hxx,
	  src/version.cxx.in:
	  correct macro name and make what/ident optional

2015-02-19 08:06  marc

	* [r371] debian/control.in:
	  changed too many VERSION to PACKAGE_VERSION, partially undo; refs
	  #12

2015-02-19 07:56  marc

	* [r370] configure.ac, doc/doxyfile.in, src/makefile.am,
	  src/mrw/checkcxx11.hxx, src/mrw/makefile.am:
	  changed too many VERSION to PACKAGE_VERSION, partially undo; refs
	  #12

2015-02-18 13:49  marc

	* [r369] debian/changelog.in, debian/rules:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-18 12:58  marc

	* [r368] ChangeLog, debian/changelog.in:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-18 10:35  marc

	* [r367] ChangeLog, configure.ac, debian/control.in, debian/rules:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-18 08:52  marc

	* [r366] debian/control.in:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-17 13:51  marc

	* [r365] debian/control.in:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-17 12:57  marc

	* [r364] debian/control.in:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-17 12:44  marc

	* [r363] AUTHORS, ChangeLog, configure.ac[CPY], configure.in[DEL],
	  debian.changelog.in, debian.control.in, debian/changelog.in,
	  doc/doxyfile.in, doc/makefile.am, makefile.am,
	  mrw-c++-minimal.spec.in, mrw-c++.spec.in, src/makefile.am,
	  src/mrw-c++.pc.in, src/mrw/args.hxx, src/mrw/checkcxx11.hxx,
	  src/mrw/makefile.am, src/mrw/mrw.hxx.in, src/version.cxx.in:
	  fixed some more debian build issues - changed like in webtester;
	  refs #12

2015-02-17 08:07  marc

	* [r362] configure.in, debian/control.in:
	  fixed some debian build issues; refs #12

2014-12-12 14:43  marc

	* [r361] debian/control.in:
	  binutils-dev contains demangle.h in wheezy, not libiberty-dev;
	  refs #12

2014-12-12 14:33  marc

	* [r360] src/mrw/checkcxx11.hxx:
	  one endif too much; refs #12

2014-12-12 12:49  marc

	* [r359] configure.in, src/mrw/checkcxx11.hxx:
	  fix debian build failure; refs #12

2014-11-06 10:24  marc

	* [r358] configure.in, debian/changelog.in, debian/control.in,
	  makefile.am, src/mrw/checkcxx11.hxx:
	  fix debian packaging and fix build on new mac; refs #11

2014-09-16 08:32  marc

	* [r357] src/mrw/checkcxx11.hxx:
	  corrected C++11-detection; refs #11

2014-09-12 14:45  marc

	* [r356] src/mrw/checkcxx11.hxx:
	  next try, #elif not #elsif; refs #11

2014-09-12 14:43  marc

	* [r355] src/mrw/checkcxx11.hxx:
	  next try, doku; refs #11

2014-09-12 14:40  marc

	* [r354] src/mrw/checkcxx11.hxx:
	  next try, doku; refs #11

2014-09-12 14:30  marc

	* [r353] src/mrw/checkcxx11.hxx:
	  next try, doku; refs #11

2014-09-12 14:27  marc

	* [r352] src/mrw/checkcxx11.hxx:
	  next try, doku; refs #11

2014-09-12 14:23  marc

	* [r351] src/mrw/checkcxx11.hxx:
	  next try, doku; refs #11

2014-09-12 14:19  marc

	* [r350] src/mrw/checkcxx11.hxx:
	  next try, seems to be in a different namespace; refs #11

2014-09-12 14:11  marc

	* [r349] src/mrw/checkcxx11.hxx:
	  next try as seen in
	  http://stackoverflow.com/questions/13445742/apple-and-shared-ptr;
	  refs #11

2014-09-12 13:50  marc

	* [r348] src/mrw/checkcxx11.hxx:
	  include memory to get shared_ptr if it is not emulated; refs #11

2014-09-12 11:11  marc

	* [r347] src/mrw/checkcxx11.hxx:
	  undo [346]; refs #11

2014-09-12 11:07  marc

	* [r346] src/mrw/checkcxx11.hxx:
	  boost fails on mac gcc 4.2; refs #11

2014-09-12 09:40  marc

	* [r345] src/mrw/checkcxx11.hxx:
	  gcc 4.2 on MacOSX 10.8 defines __cplusplus==1, but does not
	  support C++11; refs #11

2014-09-12 07:53  marc

	* [r344] src/mrw/checkcxx11.hxx:
	  gcc 4.2 on MacOSX 10.8 defines __cplusplus==1, but does not
	  support C++11; refs #11

2014-09-09 09:19  marc

	* [r343] configure.in:
	  add info to install libiberty-dev on Ubuntu; refs #9

2014-09-09 09:08  marc

	* [r342] src/mrw/checkcxx11.hxx:
	  give it a try: remove specal Apple handling for detecting C++11;
	  refs #11

2014-05-21 12:31  marc

	* [r341] mrw-c++.spec.in:
	  Graphviz is broken on Fedora 20, it hangs; refs #10

2014-04-25 07:02  marc

	* [r340] src/mrw/checkcxx11.hxx:
	  Mac is different; refs #10

2014-04-24 14:44  marc

	* [r339] src/mrw/checkcxx11.hxx:
	  Exception is not only for Linux, also for MinGW; refs #10

2014-04-22 09:15  marc

	* [r338] configure.in, src/mrw/checkcxx11.hxx:
	  just install libiberty-dev on trusty; partially undone [336] and
	  [337]; refs #9

2014-04-22 08:22  marc

	* [r337] configure.in:
	  added libcwd - next try; refs #9

2014-04-22 07:52  marc

	* [r336] configure.in, src/mrw/checkcxx11.hxx, test/makefile.am:
	  added libcwd; refs #9

2014-04-02 07:27  marc

	* [r335] src/mrw/iomanip.hxx:
	  basic_split was not copyable in all compiler versions; refs #8

2014-03-28 13:23  marc

	* [r334] src/exec.cxx:
	  fixed a lot of issues, now successfully runs the test with
	  --enable-pedantic; refs #8

2014-03-28 13:05  marc

	* [r333] src/mrw/exec.hxx:
	  fixed a lot of issues, now successfully runs the test with
	  --enable-pedantic; refs #8

2014-03-28 12:15  marc

	* [r332] src/mrw/vector.hxx:
	  fixed a lot of issues, now successfully runs the test with
	  --enable-pedantic; refs #8

2014-03-28 11:50  marc

	* [r331] doc/doxyfile.in, doc/doxygenlayout.xml[DEL],
	  doc/examples/arguments.cxx, doc/examples/smartpointer.cxx,
	  src/arg.cxx, src/autostacktracelog4cxx.cxx, src/configfile.cxx,
	  src/exec.cxx, src/mrw/arg.hxx, src/mrw/args.hxx,
	  src/mrw/auto.hxx, src/mrw/checkcxx11.hxx, src/mrw/deque.hxx,
	  src/mrw/exec.hxx, src/mrw/functiontrace.hxx, src/mrw/iomanip.hxx,
	  src/mrw/list.hxx, src/mrw/multiset.hxx, src/mrw/set.hxx,
	  src/mrw/smartpointer.hxx, src/mrw/string.hxx, src/mrw/vector.hxx,
	  src/stacktrace.cxx, test/auto_test.cxx, test/configfile_test.cxx,
	  test/dynamiclibrary_test.cxx, test/exec_test.cxx,
	  test/functiontrace_test.cxx, test/makefile.am,
	  test/mrwautofunctiontracelog4cxx_test.cxx,
	  test/smartpointer_test.cxx, test/stdext_test.cxx,
	  test/string_test.cxx:
	  fixed a lot of issues, now successfully runs the test with
	  --enable-pedantic; refs #8

2013-11-21 14:24  marc

	* [r330] src/mrw/configfile.hxx:
	  did not compile on mac, don't know why to prohibit copying; refs
	  #7

2013-11-07 09:45  marc

	* [r329] src/mrw/file.hxx:
	  no readdir_r on windows; refs #7

2013-11-07 09:41  marc

	* [r328] src/mrw/file.hxx:
	  no readdir_r on windows; refs #7

2013-11-06 15:40  marc

	* [r327] src/mrw/checkcxx11.hxx:
	  Bugfix: different behaviour on Linux and Mac; refs #7

2013-11-06 14:21  marc

	* [r326] configure.in, debian/changelog.in:
	  Flexible package signature; refs #7

2013-10-21 13:55  marc

	* [r325] configure.in, src/mrw/checkcxx11.hxx:
	  __cplusplus==1 has no C++11 on Mac; refs #7

2013-10-21 08:58  marc

	* [r324] src/mrw/args.hxx:
	  added --version to arguments; refs #7

2013-10-16 11:49  marc

	* [r323] src/mrw/checkcxx11.hxx:
	  added missing constructor; refs #7

2013-10-15 11:55  marc

	* [r322] configure.in, doc/examples/makefile.am,
	  doc/examples/shared.cxx[ADD], src/makefile.am, src/mrw/deque.hxx,
	  src/mrw/list.hxx, src/mrw/map.hxx, src/mrw/multimap.hxx,
	  src/mrw/multiset.hxx, src/mrw/set.hxx, src/mrw/shared.hxx[ADD],
	  src/stacktrace.cxx:
	  added new shared pointer with simpler interface; refs #7

2013-10-11 10:29  marc

	* [r321] configure.in:
	  version number limitation on Mac-OSX; refs #7

2013-10-11 09:31  marc

	* [r320] doc/examples/makefile.am:
	  build exceptionhandling-example only if stacktrace is given; refs
	  #7

2013-10-02 14:44  marc

	* [r319] src/mrw/deque.hxx, src/mrw/list.hxx, src/mrw/map.hxx,
	  src/mrw/multimap.hxx, src/mrw/multiset.hxx, src/mrw/set.hxx,
	  src/mrw/vector.hxx:
	  my initial idea does not work - full copy on shift in, reference
	  on shift out; refs #6

2013-10-02 14:06  marc

	* [r318] src/mrw/args.hxx:
	  offer alternate instanciation also for new compilers; refs #6

2013-09-30 08:16  marc

	* [r317] src/stacktrace.cxx:
	  invalid conversion from 'int' to 'void*'; refs #7

2013-09-27 14:24  marc

	* [r316] src/mrw/checkcxx11.hxx:
	  known bug with GCC __cplusplus; refs #7

2013-09-27 14:20  marc

	* [r315] src/mrw/checkcxx11.hxx:
	  known bug with GCC __cplusplus; refs #7

2013-09-27 13:28  marc

	* [r314] src/mrw/checkcxx11.hxx:
	  shared_ptr is already in C++03 pre-releases; refs #7

2013-09-27 13:19  marc

	* [r313] src/mrw/checkcxx11.hxx:
	  shared_ptr is already in C++03 pre-releases; refs #7

2013-09-27 12:55  marc

	* [r312] makefile.am:
	  better cleanup; refs #7

2013-09-27 12:51  marc

	* [r311] src/mrw/checkcxx11.hxx:
	  shared_ptr is already in C++03 pre-releases; refs #7

2013-09-27 12:51  marc

	* [r310] src/mrw/checkcxx11.hxx:
	  shared_ptr is already in C++03 pre-releases; refs #7

2013-09-27 10:53  marc

	* [r309] ax_cxx_compile_stdcxx_11.m4[ADD], configure.in,
	  doc/examples/arguments.cxx, makefile.am, src/makefile.am,
	  src/mrw/args.hxx, src/mrw/checkcxx11.hxx[ADD], src/mrw/deque.hxx,
	  src/mrw/iomanip.hxx, src/mrw/map.hxx, src/mrw/multimap.hxx,
	  src/mrw/multiset.hxx, src/mrw/set.hxx, src/mrw/vector.hxx:
	  solve lvalue problem in container shift; refs #7

2013-09-26 14:53  marc

	* [r308] doc/doxyfile.in:
	  new library for arguments - doxygen must be better doc; refs #6

2013-09-26 14:46  marc

	* [r307] doc/doxyfile.in:
	  new library for arguments - doxygen must be recursive; refs #6

2013-09-26 14:35  marc

	* [r306] doc/examples/arguments.cxx, src/makefile.am,
	  src/mrw/args[DEL], src/mrw/args.hxx[CPY], src/mrw/iomanip[DEL],
	  src/mrw/iomanip.hxx[CPY]:
	  new library for arguments - renamed library files to .hxx; refs
	  #6

2013-09-26 14:32  marc

	* [r305] src/version.cxx.in:
	  new library for arguments - old typo; refs #6

2013-09-26 14:28  marc

	* [r304] doc/examples/arguments.cxx, src/mrw/args,
	  src/mrw/iomanip[ADD]:
	  new library for arguments - namespace mrw added; refs #6

2013-09-26 14:01  marc

	* [r303] doc/examples/arguments.cxx[ADD]:
	  new library for arguments; refs #6

2013-09-26 13:58  marc

	* [r302] doc/examples/makefile.am, mrw-c++.spec.in,
	  src/makefile.am, src/mrw/args[ADD]:
	  new library for arguments; refs #6

2013-04-19 12:27  marc

	* [r301] mrw-c++.spec.in:
	  compile problem in fedora: change requirements; refs #5

2013-04-19 09:19  marc

	* [r300] mrw-c++.spec.in:
	  compile problem in fedora: remove useless comments; refs #5

2012-07-10 14:03  marc

	* [r299] mrw-c++.spec.in:
	  last (?) typo; refs #2

2012-07-10 12:39  marc

	* [r298] configure.in, doc/examples/makefile.am, makefile.am,
	  mrw-c++.spec.in:
	  rpmbuild should work now; refs #2

2012-07-10 11:33  marc

	* [r297] mrw-c++.spec.in:
	  cleanedup spec; refs #2

2012-07-10 11:10  marc

	* [r296] configure.in:
	  check for libdl; refs #2

2012-07-10 10:51  marc

	* [r295] configure.in:
	  check for libz; refs #2

2012-07-10 10:29  marc

	* [r294] doc/examples/makefile.am:
	  use libmrw.la instead of -lmrw for full libtool dependencies;
	  refs #2

2012-07-10 09:25  marc

	* [r293] src/makefile.am:
	  bug in makefile, typos used log4cxx instaed of
	  autofunctiontracestdlog.cxx; refs #2

2012-07-10 08:49  marc

	* [r292] mrw-c++.spec.in:
	  there's no more log4cxx in standard openSuSE repo ... :-( ; refs
	  #2

2012-07-10 06:57  marc

	* [r291] configure.in:
	  added jenkins BUILD_NUMBER in RPMBUILD; refs #2

2012-07-06 11:40  marc

	* [r290] src/mrw/file.hxx:
	  wheezy needs unistd.h for unlink; refs #2

2012-07-06 09:42  marc

	* [r289] configure.in:
	  missing dlopen in SuSE; refs #2

2012-07-06 09:35  marc

	* [r288] configure.in, src/autostacktracelog4cxx.cxx,
	  src/log4cxxconfiguration.cxx, src/mrw/functiontrace.hxx,
	  test/functiontrace_test.cxx, test/makefile.am,
	  test/mrwautofunctiontracelog4cxx_test.cxx:
	  all should work now, but test mrwautofunctiontracelog4cxx_test-mt
	  fails, so no multithreading until this is fixed; refs #2

2012-07-06 08:53  marc

	* [r287] configure.in:
	  switch check order; refs #2

2012-07-06 08:39  marc

	* [r286] configure.in:
	  bugfix: create README.debian; refs #2

2011-12-12 13:40  marc

	* [r285] debian/mrw-c++-dev.install:
	  don't duplicate share/doc; refs #1

2011-12-12 09:33  marc

	* [r284] src/mrw/doxyfile.in[DEL], src/mrw/foot.html[DEL],
	  src/mrw/head.html[DEL], src/mrw/version.cxx.in[DEL]:
	  more cleanup; refs #1

2011-12-12 09:21  marc

	* [r283] configure.in, debian/changelog.in, debian/control.in,
	  debian/copyright, doc/doxyfile.in:
	  name changes; refs #1

2011-12-12 09:15  marc

	* [r282] configure.in, debian/control[DEL], debian/control.in[ADD],
	  debian/mrw-c++-dev.dirs, debian/mrw-c++-dev.install,
	  debian/mrw-c++.dirs, debian/mrw-c++.install, debian/rules,
	  log4cxx-0.9.7-1.i386.rpm[DEL], log4cxx-0.9.7-2.i386.rpm[DEL],
	  log4cxx-0.9.7-3.i386.rpm[DEL], makefile.am, mrw-c++.dsc.in[DEL]:
	  debian builds; refs #1

2011-12-11 17:21  marc

	* [r281] test/makefile.am:
	  all tests passed :-); refs #1

2011-12-11 14:51  marc

	* [r280] src/stacktrace.cxx:
	  check crash if using gnu gcc method; refs #1

2011-12-11 14:24  marc

	* [r279] test/auto_test.cxx, test/configfile_test.cxx,
	  test/dynamiclibrary_test.cxx, test/exec_test.cxx,
	  test/functiontrace_test.cxx,
	  test/mrwautofunctiontracelog4cxx_test.cxx,
	  test/mrwexclog4cxx_test.cxx, test/mrwexcstderr_test.cxx,
	  test/regexp_test.cxx, test/smartpointer_test.cxx,
	  test/stacktrace_test.cxx, test/stdext_test.cxx,
	  test/string_test.cxx, test/tokenizer_test.cxx:
	  middle of porting; unstable, don't checkout, added xml check
	  output; refs #1

2011-12-11 13:47  marc

	* [r278] src/stacktrace.cxx, test/auto_test.cxx,
	  test/configfile_test.cxx, test/dynamiclibrary_test.cxx,
	  test/exec_test.cxx, test/functiontrace_test.cxx,
	  test/mrwautofunctiontracelog4cxx_test.cxx,
	  test/mrwexclog4cxx_test.cxx, test/mrwexcstderr_test.cxx,
	  test/regexp_test.cxx, test/smartpointer_test.cxx,
	  test/stacktrace_test.cxx, test/stdext_test.cxx,
	  test/string_test.cxx, test/tokenizer_test.cxx:
	  middle of porting; unstable, don't checkout, added xml check
	  output; refs #1

2011-12-11 12:24  marc

	* [r277] doc/examples/makefile.am[ADD]:
	  middle of porting; unstable, don't checkout, examples compile,
	  crashes; refs #1

2011-12-11 12:23  marc

	* [r276] configure.in, doc/examples/smartpointer.cxx,
	  doc/makefile.am:
	  middle of porting; unstable, don't checkout, examples compile,
	  crashes; refs #1

2011-12-11 12:08  marc

	* [r275] src/makefile.am, src/mrw/configfile.ini[DEL],
	  src/mrw/configfile.ini.result[DEL], test/configfile.ini[CPY],
	  test/configfile.ini.result[CPY], test/makefile.am:
	  middle of porting; unstable, don't checkout, tests run but fail;
	  refs #1

2011-12-11 11:28  marc

	* [r274] debian/changelog[DEL], doc/doxyfile[DEL],
	  doc/doxygen.errors[DEL], doc/makefile[DEL], doc/makefile.in[DEL],
	  doc/mrw-c++.doxytag[DEL], test/.deps[DEL], test/makefile[DEL],
	  test/makefile.in[DEL]:
	  middle of porting; unstable, don't checkout, cleanup
	  maintainer-clean; refs #1

2011-12-11 11:22  marc

	* [r273] configure.in, debian/changelog, doc/html[DEL],
	  doc/latex[DEL], doc/makefile, src/autofunctiontracelog4cxx.cxx,
	  src/makefile[DEL], src/makefile.am, src/makefile.in[DEL],
	  src/mrw-c++.pc[DEL], src/mrw/hintergrund.png[DEL],
	  src/mrw/stacktrace.hxx, src/mrw/style.css[DEL], src/stdext.cxx,
	  src/version.cxx[DEL], test/makefile:
	  middle of porting; unstable, don't checkout, src compiles; refs
	  #1

2011-12-11 09:35  marc

	* [r272] src/arg.cxx[CPY], src/autofunctiontracelog4cxx.cxx[CPY],
	  src/autofunctiontracestdlog.cxx[CPY],
	  src/autostacktracelog4cxx.cxx[CPY],
	  src/autostacktracestderr.cxx[CPY], src/configfile.cxx[CPY],
	  src/errno.cxx[CPY], src/exception.cxx[CPY], src/exec.cxx[CPY],
	  src/functiontrace.cxx[CPY], src/log4cxxconfiguration.cxx[CPY],
	  src/main.cxx[DEL], src/mrw/arg.cxx[DEL],
	  src/mrw/auto_test.cxx[DEL],
	  src/mrw/autofunctiontracelog4cxx.cxx[DEL],
	  src/mrw/autofunctiontracestdlog.cxx[DEL],
	  src/mrw/autostacktracelog4cxx.cxx[DEL],
	  src/mrw/autostacktracestderr.cxx[DEL],
	  src/mrw/configfile.cxx[DEL], src/mrw/configfile_check.sh[DEL],
	  src/mrw/configfile_test.cxx[DEL],
	  src/mrw/dynamiclibrary_test.cxx[DEL],
	  src/mrw/dynamiclibrary_testlib.cxx[DEL], src/mrw/errno.cxx[DEL],
	  src/mrw/exception.cxx[DEL], src/mrw/exec.cxx[DEL],
	  src/mrw/exec_test.cxx[DEL], src/mrw/functiontrace.cxx[DEL],
	  src/mrw/functiontrace_test.cxx[DEL],
	  src/mrw/log4cxxconfiguration.cxx[DEL],
	  src/mrw/mrwautofunctiontracelog4cxx_test.cxx[DEL],
	  src/mrw/mrwexclog4cxx_test.cxx[DEL],
	  src/mrw/mrwexcstderr_test.cxx[DEL], src/mrw/regexp.cxx[DEL],
	  src/mrw/regexp_test.cxx[DEL], src/mrw/smartpointer_test.cxx[DEL],
	  src/mrw/stacktrace.cxx[DEL], src/mrw/stacktrace_test.cxx[DEL],
	  src/mrw/stdext.cxx[DEL], src/mrw/stdext_test.cxx[DEL],
	  src/mrw/string_test.cxx[DEL], src/mrw/test.dat[DEL],
	  src/mrw/tokenizer_test.cxx[DEL], src/regexp.cxx[CPY],
	  src/stacktrace.cxx[CPY], src/stdext.cxx[CPY],
	  test/auto_test.cxx[CPY], test/configfile_check.sh[CPY],
	  test/configfile_test.cxx[CPY], test/dynamiclibrary_test.cxx[CPY],
	  test/dynamiclibrary_testlib.cxx[CPY], test/exec_test.cxx[CPY],
	  test/functiontrace_test.cxx[CPY],
	  test/mrwautofunctiontracelog4cxx_test.cxx[CPY],
	  test/mrwexclog4cxx_test.cxx[CPY],
	  test/mrwexcstderr_test.cxx[CPY], test/regexp_test.cxx[CPY],
	  test/smartpointer_test.cxx[CPY], test/stacktrace_test.cxx[CPY],
	  test/stdext_test.cxx[CPY], test/string_test.cxx[CPY],
	  test/test.dat[CPY], test/tokenizer_test.cxx[CPY]:
	  middle of porting; unstable, don't checkout; refs #1

2011-12-10 11:41  marc

	* [r271] doc/examples/exceptionhandling.cpp[DEL],
	  doc/examples/exceptionhandling.cxx[CPY],
	  doc/examples/smartpointer.cpp[DEL],
	  doc/examples/smartpointer.cxx[CPY], src/mrw/arg.cpp[DEL],
	  src/mrw/arg.cxx[CPY], src/mrw/arg.hpp[DEL], src/mrw/arg.hxx[CPY],
	  src/mrw/auto.hpp[DEL], src/mrw/auto.hxx[CPY],
	  src/mrw/auto_test.cpp[DEL], src/mrw/auto_test.cxx[CPY],
	  src/mrw/autofunctiontracelog4cxx.cpp[DEL],
	  src/mrw/autofunctiontracelog4cxx.cxx[CPY],
	  src/mrw/autofunctiontracestdlog.cpp[DEL],
	  src/mrw/autofunctiontracestdlog.cxx[CPY],
	  src/mrw/autostacktracelog4cxx.cpp[DEL],
	  src/mrw/autostacktracelog4cxx.cxx[CPY],
	  src/mrw/autostacktracestderr.cpp[DEL],
	  src/mrw/autostacktracestderr.cxx[CPY],
	  src/mrw/configfile.cpp[DEL], src/mrw/configfile.cxx[CPY],
	  src/mrw/configfile.hpp[DEL], src/mrw/configfile.hxx[CPY],
	  src/mrw/configfile_test.cpp[DEL],
	  src/mrw/configfile_test.cxx[CPY], src/mrw/deque.hpp[DEL],
	  src/mrw/deque.hxx[CPY], src/mrw/dynamiclibrary.hpp[DEL],
	  src/mrw/dynamiclibrary.hxx[CPY],
	  src/mrw/dynamiclibrary_test.cpp[DEL],
	  src/mrw/dynamiclibrary_test.cxx[CPY],
	  src/mrw/dynamiclibrary_testlib.cpp[DEL],
	  src/mrw/dynamiclibrary_testlib.cxx[CPY], src/mrw/errno.cpp[DEL],
	  src/mrw/errno.cxx[CPY], src/mrw/errno.hpp[DEL],
	  src/mrw/errno.hxx[CPY], src/mrw/exception.cpp[DEL],
	  src/mrw/exception.cxx[CPY], src/mrw/exception.hpp[DEL],
	  src/mrw/exception.hxx[CPY], src/mrw/exec.cpp[DEL],
	  src/mrw/exec.cxx[CPY], src/mrw/exec.hpp[DEL],
	  src/mrw/exec.hxx[CPY], src/mrw/exec_test.cpp[DEL],
	  src/mrw/exec_test.cxx[CPY], src/mrw/file.hpp[DEL],
	  src/mrw/file.hxx[CPY], src/mrw/functiontrace.cpp[DEL],
	  src/mrw/functiontrace.cxx[CPY], src/mrw/functiontrace.hpp[DEL],
	  src/mrw/functiontrace.hxx[CPY],
	  src/mrw/functiontrace_test.cpp[DEL],
	  src/mrw/functiontrace_test.cxx[CPY], src/mrw/list.hpp[DEL],
	  src/mrw/list.hxx[CPY], src/mrw/log4cxxconfiguration.cpp[DEL],
	  src/mrw/log4cxxconfiguration.cxx[CPY], src/mrw/map.hpp[DEL],
	  src/mrw/map.hxx[CPY], src/mrw/mrw.hpp.in[DEL],
	  src/mrw/mrw.hxx.in[CPY],
	  src/mrw/mrwautofunctiontracelog4cxx_test.cpp[DEL],
	  src/mrw/mrwautofunctiontracelog4cxx_test.cxx[CPY],
	  src/mrw/mrwexclog4cxx_test.cpp[DEL],
	  src/mrw/mrwexclog4cxx_test.cxx[CPY],
	  src/mrw/mrwexcstderr_test.cpp[DEL],
	  src/mrw/mrwexcstderr_test.cxx[CPY], src/mrw/multimap.hpp[DEL],
	  src/mrw/multimap.hxx[CPY], src/mrw/multiset.hpp[DEL],
	  src/mrw/multiset.hxx[CPY], src/mrw/regexp.cpp[DEL],
	  src/mrw/regexp.cxx[CPY], src/mrw/regexp.hpp[DEL],
	  src/mrw/regexp.hxx[CPY], src/mrw/regexp_test.cpp[DEL],
	  src/mrw/regexp_test.cxx[CPY], src/mrw/set.hpp[DEL],
	  src/mrw/set.hxx[CPY], src/mrw/smartpointer.hpp[DEL],
	  src/mrw/smartpointer.hxx[CPY],
	  src/mrw/smartpointer_test.cpp[DEL],
	  src/mrw/smartpointer_test.cxx[CPY], src/mrw/stacktrace.cpp[DEL],
	  src/mrw/stacktrace.cxx[CPY], src/mrw/stacktrace.hpp[DEL],
	  src/mrw/stacktrace.hxx[CPY], src/mrw/stacktrace_test.cpp[DEL],
	  src/mrw/stacktrace_test.cxx[CPY], src/mrw/stdext.cpp[DEL],
	  src/mrw/stdext.cxx[CPY], src/mrw/stdext.hpp[DEL],
	  src/mrw/stdext.hxx[CPY], src/mrw/stdext_test.cpp[DEL],
	  src/mrw/stdext_test.cxx[CPY], src/mrw/string.hpp[DEL],
	  src/mrw/string.hxx[CPY], src/mrw/string_test.cpp[DEL],
	  src/mrw/string_test.cxx[CPY], src/mrw/tokenizer.hpp[DEL],
	  src/mrw/tokenizer.hxx[CPY], src/mrw/tokenizer_test.cpp[DEL],
	  src/mrw/tokenizer_test.cxx[CPY], src/mrw/unistd.hpp[DEL],
	  src/mrw/unistd.hxx[CPY], src/mrw/vector.hpp[DEL],
	  src/mrw/vector.hxx[CPY], src/mrw/version.cpp.in[DEL],
	  src/mrw/version.cxx.in[CPY]:
	  middle of porting; unstable, don't checkout; refs #1

2011-12-10 11:39  marc

	* [r270] ChangeLog, configure.in, doc/doxyfile, doc/doxyfile.in,
	  doc/examples/exceptionhandling.cpp,
	  doc/examples/smartpointer.cpp, src/mrw/arg.cpp, src/mrw/arg.hpp,
	  src/mrw/auto.hpp, src/mrw/auto_test.cpp,
	  src/mrw/autofunctiontracelog4cxx.cpp,
	  src/mrw/autofunctiontracestdlog.cpp,
	  src/mrw/autostacktracelog4cxx.cpp,
	  src/mrw/autostacktracestderr.cpp, src/mrw/configfile.cpp,
	  src/mrw/configfile.hpp, src/mrw/configfile_test.cpp,
	  src/mrw/deque.hpp, src/mrw/doxyfile.in,
	  src/mrw/dynamiclibrary.hpp, src/mrw/dynamiclibrary_test.cpp,
	  src/mrw/errno.cpp, src/mrw/errno.hpp, src/mrw/exception.cpp,
	  src/mrw/exception.hpp, src/mrw/exec.cpp, src/mrw/exec.hpp,
	  src/mrw/exec_test.cpp, src/mrw/file.hpp,
	  src/mrw/functiontrace.cpp, src/mrw/functiontrace.hpp,
	  src/mrw/functiontrace_test.cpp, src/mrw/list.hpp,
	  src/mrw/makefile.am, src/mrw/map.hpp, src/mrw/mrw.hpp.in,
	  src/mrw/mrwautofunctiontracelog4cxx_test.cpp,
	  src/mrw/mrwexclog4cxx_test.cpp, src/mrw/mrwexcstderr_test.cpp,
	  src/mrw/multimap.hpp, src/mrw/multiset.hpp, src/mrw/regexp.cpp,
	  src/mrw/regexp.hpp, src/mrw/regexp_test.cpp, src/mrw/set.hpp,
	  src/mrw/smartpointer.hpp, src/mrw/smartpointer_test.cpp,
	  src/mrw/stacktrace.cpp, src/mrw/stacktrace.hpp,
	  src/mrw/stacktrace_test.cpp, src/mrw/stdext.cpp,
	  src/mrw/stdext.hpp, src/mrw/stdext_test.cpp, src/mrw/string.hpp,
	  src/mrw/string_test.cpp, src/mrw/tokenizer.hpp,
	  src/mrw/tokenizer_test.cpp, src/mrw/unistd.hpp,
	  src/mrw/vector.hpp, src/mrw/version.cpp.in:
	  middle of porting; unstable, don't checkout; refs #1

2011-12-10 11:24  marc

	* [r269] doc[ADD], doc/doxyfile[ADD], doc/doxyfile.in[ADD],
	  doc/doxygen.errors[ADD], doc/doxygenlayout.xml[ADD],
	  doc/examples[CPY], doc/html[ADD], doc/html/bc_s.png[ADD],
	  doc/html/closed.png[ADD], doc/html/doxygen.css[ADD],
	  doc/html/doxygen.png[ADD], doc/html/files.html[ADD],
	  doc/html/ftv2blank.png[ADD], doc/html/ftv2doc.png[ADD],
	  doc/html/ftv2folderclosed.png[ADD],
	  doc/html/ftv2folderopen.png[ADD], doc/html/ftv2lastnode.png[ADD],
	  doc/html/ftv2link.png[ADD], doc/html/ftv2mlastnode.png[ADD],
	  doc/html/ftv2mnode.png[ADD], doc/html/ftv2node.png[ADD],
	  doc/html/ftv2plastnode.png[ADD], doc/html/ftv2pnode.png[ADD],
	  doc/html/ftv2splitbar.png[ADD], doc/html/ftv2vertline.png[ADD],
	  doc/html/globals.html[ADD], doc/html/globals_func.html[ADD],
	  doc/html/index.html[ADD], doc/html/index.qhp[ADD],
	  doc/html/jquery.js[ADD], doc/html/main_8cxx.html[ADD],
	  doc/html/main_8cxx_source.html[ADD],
	  doc/html/namespacemembers.html[ADD],
	  doc/html/namespacemembers_func.html[ADD],
	  doc/html/namespaces.html[ADD], doc/html/namespacexml.html[ADD],
	  doc/html/nav_f.png[ADD], doc/html/nav_h.png[ADD],
	  doc/html/navtree.css[ADD], doc/html/navtree.js[ADD],
	  doc/html/open.png[ADD], doc/html/resize.js[ADD],
	  doc/html/tab_a.png[ADD], doc/html/tab_b.png[ADD],
	  doc/html/tab_h.png[ADD], doc/html/tab_s.png[ADD],
	  doc/html/tabs.css[ADD], doc/html/version_8cxx.html[ADD],
	  doc/html/version_8cxx_source.html[ADD], doc/latex[ADD],
	  doc/latex/Makefile[ADD], doc/latex/doxygen.sty[ADD],
	  doc/latex/files.tex[ADD], doc/latex/main_8cxx.tex[ADD],
	  doc/latex/namespaces.tex[ADD], doc/latex/namespacexml.tex[ADD],
	  doc/latex/refman.tex[ADD], doc/latex/version_8cxx.tex[ADD],
	  doc/makefile[ADD], doc/makefile.am[ADD], doc/makefile.in[ADD],
	  doc/mrw-c++.doxytag[ADD], mrw[DEL], src/mrw[CPY],
	  src/mrw/examples[DEL], test[ADD], test/.deps[ADD],
	  test/.deps/mrw-c++_test.Po[ADD], test/makefile[ADD],
	  test/makefile.am[ADD], test/makefile.in[ADD],
	  test/mrw-c++_test.cxx[ADD]:
	  middle of porting; unstable, don't checkout; refs #1

2011-12-10 10:15  marc

	* [r268] ChangeLog, bootstrap.sh, configure.in, debian[ADD],
	  debian/changelog[ADD], debian/changelog.in[ADD],
	  debian/compat[ADD], debian/control[ADD], debian/copyright[ADD],
	  debian/dirs[ADD], debian/docs[ADD], debian/mrw-c++-dev.dirs[ADD],
	  debian/mrw-c++-dev.install[ADD], debian/mrw-c++.dirs[ADD],
	  debian/mrw-c++.doc-base.EX[ADD], debian/mrw-c++.install[ADD],
	  debian/rules[ADD], debian/shlibs.local.ex[ADD],
	  debian/watch.ex[ADD], makefile.am, mrw/auto.hpp, mrw/exec.cpp,
	  mrw/exec.hpp, mrw/file.hpp, src[ADD], src/main.cxx[ADD],
	  src/makefile[ADD], src/makefile.am[ADD], src/makefile.in[ADD],
	  src/mrw-c++.pc[ADD], src/mrw-c++.pc.in[ADD],
	  src/version.cxx[ADD], src/version.cxx.in[ADD]:
	  middle of porting; unstable, don't checkout; refs #1

2008-04-01 15:51  marc

	* [r267] configure.in, debian.changelog.in[ADD],
	  debian.control.in[ADD], debian.rules.in[ADD], makefile.am,
	  mrw-c++.dsc.in:
	  Debian bereit für Test auf SuSE-Build

2008-03-31 09:11  marc

	* [r266] ChangeLog, bootstrap.sh, configure.in, makefile.am,
	  mrw-c++.dsc.in[ADD], mrw-c++.spec.in, mrw/makefile.am,
	  mrw/stacktrace.hpp, mrw/string.hpp:
	  Zwischenstand: Debianisierung

2007-08-20 19:47  marc

	* [r264] configure.in:
	  Release 3-2-5 with tag: REL_mrw-c++-3-2-5

2007-08-20 16:09  marc

	* [r263] ChangeLog, makefile.am, mrw/autofunctiontracelog4cxx.cpp,
	  mrw/autofunctiontracestdlog.cpp, mrw/log4cxxconfiguration.cpp,
	  mrw/mrwautofunctiontracelog4cxx_test.cpp, mrw/stacktrace.cpp,
	  mrw/stacktrace.hpp:
	  Release 3-2-4 with tag: REL_mrw-c++-3-2-4

2007-08-20 08:21  marc

	* [r261] mrw/makefile.am:
	  Release 3-2-4 with tag: REL_mrw-c++-3-2-4

2007-08-20 07:30  marc

	* [r259] checkinstall.sh[ADD]:
	  Release 3-2-4 with tag: REL_mrw-c++-3-2-4

2007-08-16 19:31  marc

	* [r256] ChangeLog, mrw-c++-minimal.spec.in, mrw-c++.spec.in,
	  mrw/exec_test.cpp, mrw/makefile.am:
	  Release 3-2-4 with tag: REL_mrw-c++-3-2-4

2007-08-16 07:40  marc

	* [r252] configure.in, mrw-c++.spec.in, mrw/makefile.am,
	  mrw/mrw.hpp.in:
	  Release 3-2-3 with tag: REL_mrw-c++-3-2-3

2007-08-05 19:53  marc

	* [r250] ChangeLog, configure.in, mrw-c++.spec.in:
	  Release 3-2-3 with tag: REL_mrw-c++-3-2-3

2007-08-05 08:40  marc

	* [r248] ChangeLog, configure.in, makefile.am,
	  suppressions.valgrind[ADD], valcheck.sh[ADD]:
	  Release 3-2-2 with tag: REL_mrw-c++-3-2-2

2007-08-05 08:20  marc

	* [r246] ChangeLog, bootstrap.sh, configure.in, makefile.am,
	  mrw/auto.hpp, mrw/autofunctiontracelog4cxx.cpp,
	  mrw/autostacktracelog4cxx.cpp, mrw/autostacktracestderr.cpp,
	  mrw/doxyfile.in, mrw/errno.cpp, mrw/errno.hpp, mrw/foot.html,
	  mrw/functiontrace.hpp, mrw/functiontrace_test.cpp, mrw/head.html,
	  mrw/hintergrund.png[ADD], mrw/log4cxxconfiguration.cpp,
	  mrw/makefile.am, mrw/mrw.hpp.in,
	  mrw/mrwautofunctiontracelog4cxx_test.cpp, mrw/stacktrace.cpp,
	  mrw/stacktrace.hpp, mrw/stacktrace_test.cpp, mrw/string.hpp:
	  Release 3-2-0 with tag: REL_mrw-c++-3-2-0

2006-09-25 19:54  root

	* [r244] makefile.am:
	  Release 2-3-1 with tag: REL_mrw-c++-2-3-1

2006-09-25 19:40  root

	* [r243] log4cxx-0.9.7-3.i386.rpm[ADD], makefile.am,
	  mrw-c++-minimal.spec.in, mrw/auto.hpp,
	  mrw/autofunctiontracestdlog.cpp[ADD], mrw/mrw.hpp.in,
	  mrw/string_test.cpp[ADD]:
	  Release 2-3-1 with tag: REL_mrw-c++-2-3-1

2006-09-25 15:12  marc

	* [r241] ChangeLog, NEWS, configure.in, makefile.am,
	  mrw-c++-minimal.spec.in[ADD], mrw/makefile.am, mrw/mrw.hpp.in:
	  Added RPM with minimal dependencies.

2005-12-07 19:10  marc

	* [r239] mrw/style.css:
	  merged with videorecorder's style

2005-12-07 19:09  marc

	* [r238] mrw/mrw.hpp.in:
	  new log4cxx package

2005-11-29 16:49  marc

	* [r237] ChangeLog:
	  *** empty log message ***

2005-11-29 16:15  marc

	* [r236] demangle.h[ADD], log4cxx-0.9.7-2.i386.rpm[ADD]:
	  initial version

2005-11-29 12:42  marc

	* [r235] mrw-c++.spec.in:
	  autofunctiontrace now also to stdlog

2005-11-29 12:42  marc

	* [r234] makefile.am, mrw/arg.hpp, mrw/auto.hpp,
	  mrw/autofunctiontracelog4cxx.cpp, mrw/autostacktracelog4cxx.cpp,
	  mrw/autostacktracestderr.cpp, mrw/configfile.cpp,
	  mrw/configfile.hpp, mrw/deque.hpp, mrw/doxyfile.in,
	  mrw/dynamiclibrary.hpp, mrw/errno.hpp, mrw/exception.hpp,
	  mrw/exec.cpp, mrw/exec.hpp, mrw/functiontrace.hpp, mrw/list.hpp,
	  mrw/log4cxxconfiguration.cpp, mrw/map.hpp, mrw/mrw.hpp.in,
	  mrw/mrwautofunctiontracelog4cxx_test.cpp, mrw/multimap.hpp,
	  mrw/multiset.hpp, mrw/regexp.hpp, mrw/set.hpp,
	  mrw/smartpointer.hpp, mrw/stacktrace.hpp,
	  mrw/stacktrace_test.cpp, mrw/stdext.hpp, mrw/style.css,
	  mrw/tokenizer.hpp, mrw/unistd.hpp, mrw/vector.hpp:
	  make it compilable with gcc 4.0.2 and newer doxygen

2005-11-29 12:41  marc

	* [r233] INSTALL:
	  *** empty log message ***

2005-11-29 12:41  marc

	* [r232] configure.in:
	  - make it compilable with gcc 4.0.2 and newer doxygen
	  - several improvements

2005-11-29 12:38  marc

	* [r231] mrw/string.hpp:
	  - make it compilable with gcc 4.0.2 and newer doxygen
	  - added split and join

2005-11-29 12:36  marc

	* [r230] mrw/stacktrace.cpp:
	  - make it compilable with gcc 4.0.2
	  - improvements in error reporting, fixes for actual linux
	  - only include libltdl if necessary

2005-11-29 10:46  marc

	* [r229] mrw/makefile.am:
	  new tests for string and auto-funtion-trace

2005-04-20 18:32  marc

	* [r227] mrw/exec.cpp:
	  *** empty log message ***

2005-04-20 18:13  marc

	* [r226] ChangeLog, configure.in:
	  *** empty log message ***

2005-04-20 18:12  marc

	* [r225] mrw/exec.cpp, mrw/exec.hpp:
	  added kill() for PartialExec

2005-04-19 18:49  marc

	* [r223] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2005-04-19 18:48  marc

	* [r222] mrw/exec.cpp, mrw/exec.hpp, mrw/exec_test.cpp:
	  new feature PartialExec

2005-04-14 19:12  marc

	* [r220] mrw/autofunctiontracelog4cxx.cpp:
	  better formatting for operators

2005-04-14 19:06  marc

	* [r219] ChangeLog, configure.in:
	  *** empty log message ***

2005-04-14 19:06  marc

	* [r218] mrw/log4cxxconfiguration.cpp:
	  no more duplicated traces, better filtering for Qt

2005-04-14 15:56  marc

	* [r217] mrw/makefile.am:
	  phony updated, clean rearranged

2005-04-12 06:19  marc

	* [r216] INSTALL:
	  *** empty log message ***

2005-04-10 15:01  marc

	* [r214] ChangeLog, configure.in:
	  *** empty log message ***

2005-04-10 15:01  marc

	* [r213] mrw/makefile.am:
	  Now, make distcheck works AND the html doc is dirstributed...

2005-04-10 15:00  marc

	* [r212] makefile.am:
	  improved targets for makefile

2005-04-07 22:08  marc

	* [r211] mrw/makefile.am:
	  doc/html to EXTRA_DIST

2005-04-07 21:26  marc

	* [r209] mrw/makefile.am:
	  wrong examplesdir

2005-04-07 21:02  marc

	* [r208] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2005-04-07 21:01  marc

	* [r207] makefile.am:
	  reordering of dependencies (i.e. make release)
	  documentation is now generated in root dir, no more in mrw subdir

2005-04-07 20:59  marc

	* [r206] mrw-c++.spec.in:
	  RPM/libtool: .la files with wrong path!
	  New feature: library libmrwlog4cxxconfiguration configures
	  log4cxx

2005-04-07 20:58  marc

	* [r205] mrw/makefile.am:
	  Oops, there's a make distcheck...? Now it works.
	  documentation is now generated in root dir, no more in mrw subdir
	  HTML documentation now with stylesheet, footer and header
	  RPM/libtool: .la files with wrong path!
	  New feature: library libmrwlog4cxxconfiguration configures
	  log4cxx

2005-04-07 20:57  marc

	* [r204] mrw/foot.html[ADD], mrw/head.html[ADD],
	  mrw/log4cxxconfiguration.cpp[ADD], mrw/style.css[ADD]:
	  initial version

2005-04-07 20:55  marc

	* [r203] mrw/auto_test.cpp, mrw/configfile_check.sh,
	  mrw/configfile_test.cpp, mrw/doxyfile.in, mrw/exec_test.cpp,
	  mrw/functiontrace_test.cpp:
	  Oops, there's a make distcheck...? Now it works.

2005-04-07 20:51  marc

	* [r202] mrw/deque.hpp, mrw/functiontrace.hpp, mrw/list.hpp,
	  mrw/map.hpp, mrw/multimap.hpp, mrw/multiset.hpp, mrw/set.hpp,
	  mrw/stacktrace.hpp, mrw/string.hpp, mrw/vector.hpp:
	  docu: new doxygen, new grouping

2005-04-07 20:43  marc

	* [r201] mrw/autostacktracelog4cxx.cpp:
	  docu corrected, new doxygen

2005-04-07 20:42  marc

	* [r200] mrw/autofunctiontracelog4cxx.cpp,
	  mrw/mrwautofunctiontracelog4cxx_test.cpp:
	  renamed loggerhierarchy from mrw.gccfunctiontrace to mrw.fn

2005-03-14 16:30  marc

	* [r198] ChangeLog, configure.in:
	  *** empty log message ***

2005-03-14 16:27  marc

	* [r197] mrw/mrw.hpp.in:
	  added download link for multithreaded rpm package

2005-03-14 16:26  marc

	* [r196] mrw/exec.cpp:
	  bugs have been fixed a long time ago, now no more in buglist

2005-03-14 16:25  marc

	* [r195] mrw/exception.hpp:
	  changed size of dot image so that it fits an A4

2005-03-14 16:23  marc

	* [r194] mrw/doxyfile.in:
	  source code browser
	  a4 instead of a4wide
	  latex with indices

2005-03-13 08:44  marc

	* [r192] configure.in:
	  more information if cplus_demangle is not found

2005-03-11 23:29  marc

	* [r191] ChangeLog, NEWS, README:
	  *** empty log message ***

2005-03-11 23:29  marc

	* [r190] mrw-c++.spec.in:
	  - new autofunctiontrace library
	  - new multithreaded package

2005-03-11 23:28  marc

	* [r189] makefile.am:
	  - new multithreaded package
	  - new log4cxx package

2005-03-11 23:27  marc

	* [r188] configure.in:
	  - multithreading (with boost)
	  - autofunctiontrace only for GNU gcc

2005-03-11 23:26  marc

	* [r187] mrw/doxyfile.in:
	  repeat brief

2005-03-11 23:22  marc

	* [r186] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  It's multithreaded now, thanks to a boost mutex

2005-03-11 23:22  marc

	* [r185] mrw/mrw.hpp.in:
	  multithreading libraries, new auto functiontrace and minor
	  corrections

2005-03-11 23:20  marc

	* [r184] mrw/makefile.am:
	  - removed old TRACER
	  - new autofunctiontrace library, new function trace
	  - new multithreaded targets
	  - corrected build flags for not optimized tests

2005-03-11 23:18  marc

	* [r183] mrw/functiontrace_test.cpp:
	  bugfix: linenumbers change at checkin...

2005-03-11 23:17  marc

	* [r182] mrw/doxyfile.in:
	  new aliases to document mutexes

2005-03-11 23:16  marc

	* [r181] log4cxx-0.9.7-1.i386.rpm[ADD]:
	  initial version

2005-03-11 21:07  marc

	* [r180] mrw/autofunctiontracelog4cxx.cpp[ADD],
	  mrw/functiontrace.cpp[ADD], mrw/functiontrace.hpp[ADD],
	  mrw/functiontrace_test.cpp[ADD],
	  mrw/mrwautofunctiontracelog4cxx_test.cpp[ADD]:
	  initial version

2005-03-02 22:03  marc

	* [r179] mrw/file.hpp:
	  some fixes for solaris

2005-03-02 22:02  marc

	* [r178] mrw/regexp.hpp:
	  fixed for solaris (included sys/types.h)

2005-02-28 08:11  marc

	* [r177] makefile.am:
	  stack trace and dynamic library are conditional

2005-02-28 08:10  marc

	* [r176] mrw/makefile.am:
	  dynamic library is conditional

2005-02-28 08:00  marc

	* [r175] configure.in:
	  check for libtool

2005-02-28 07:54  marc

	* [r174] makefile.am:
	  added functiontrace

2005-02-28 07:29  marc

	* [r173] mrw/errno.cpp:
	  added ifdef for non glibc (Solaris)

2005-02-28 07:28  marc

	* [r172] mrw/stacktrace.cpp:
	  typo

2005-02-28 07:17  marc

	* [r171] mrw/file.hpp:
	  Dir is now usable and compilable, also added fixes for Solaris

2005-02-28 07:14  marc

	* [r170] mrw/makefile.am:
	  new functiontrace, removed simpletrace

2005-02-28 07:14  marc

	* [r169] mrw/stacktrace.cpp:
	  change in getting section size for SUN Solaris (old bfd.h)

2005-02-28 07:10  marc

	* [r168] mrw/stdext.hpp:
	  removed deprecated min, max

2005-02-25 16:18  marc

	* [r167] mrw/autostacktracelog4cxx.cpp:
	  now naming for the logger: "mrw.stacktrace" instead of simply
	  "libmrw"

2005-02-23 16:35  marc

	* [r166] mrw/simpletrace.hpp[DEL]:
	  deprecated and gone

2005-02-21 16:33  marc

	* [r164] makefile.am:
	  source rpm: no "-devel"!

2005-02-21 16:19  marc

	* [r163] ChangeLog:
	  *** empty log message ***

2005-02-21 16:18  marc

	* [r162] ChangeLog:
	  *** empty log message ***

2005-02-21 16:16  marc

	* [r161] mrw/dynamiclibrary.hpp:
	  finished and documented

2005-02-18 16:20  marc

	* [r160] ChangeLog, NEWS:
	  added DynamicLibrary, ifelse, no more dependency on libbfd

2005-02-18 16:20  marc

	* [r159] configure.in:
	  No more dependency on libbfd!

2005-02-18 16:19  marc

	* [r158] makefile.am:
	  Also build source RPM
	  No more install RPMs after build
	  Added dynamiclibrary.hpp

2005-02-18 16:17  marc

	* [r157] mrw-c++.spec.in:
	  new Summary: text

2005-02-18 15:58  marc

	* [r156] README:
	  added DynamicLibrary

2005-02-18 15:56  marc

	* [r155] README:
	  a lot more info (library modules listed)

2005-02-18 15:54  marc

	* [r154] mrw/doxyfile.in:
	  exclude pattern changed for _testlib.cpp

2005-02-18 15:53  marc

	* [r153] mrw/dynamiclibrary.hpp[ADD],
	  mrw/dynamiclibrary_test.cpp[ADD],
	  mrw/dynamiclibrary_testlib.cpp[ADD]:
	  initial release

2005-02-18 15:53  marc

	* [r152] mrw/errno.cpp, mrw/errno.hpp:
	  I'm so stupid, there's strerror for mapping errno to a string...

2005-02-18 15:52  marc

	* [r151] mrw/file.hpp:
	  correection in documentation

2005-02-18 15:51  marc

	* [r150] mrw/makefile.am:
	  new dynamiclibrary.hpp
	  tests are now compiled with option -O0

2005-02-18 15:49  marc

	* [r149] mrw/mrw.hpp.in:
	  complete new arrangement of documentation front page

2005-02-18 15:48  marc

	* [r148] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  Dynamic loading of libbfd, no more dependency on specific libbfd
	  version!

2005-02-18 15:47  marc

	* [r147] mrw/stdext.hpp:
	  missing #ifndef
	  new functions ifelse

2005-02-08 12:34  marc

	* [r145] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2005-02-08 12:34  marc

	* [r144] makefile.am, mrw/exception.hpp, mrw/makefile.am:
	  added errno / unix_error

2005-02-08 12:31  marc

	* [r143] mrw/arg.cpp, mrw/arg.hpp:
	  new static methods to simplify access to options

2005-02-08 12:30  marc

	* [r142] mrw/errno.cpp[ADD], mrw/errno.hpp[ADD]:
	  new in release 1.8.0

2005-01-28 12:18  marc

	* [r140] mrw/exception.hpp:
	  workaround for doxygen warning (doxygen misinterpreted class
	  forward declaration)

2005-01-28 12:13  marc

	* [r139] mrw/autostacktracelog4cxx.cpp,
	  mrw/autostacktracestderr.cpp, mrw/exception.hpp,
	  mrw/stacktrace.hpp:
	  interference between group name StackTrace and class name
	  StackTrace

2005-01-28 12:13  marc

	* [r138] mrw/autostacktracelog4cxx.cpp,
	  mrw/autostacktracestderr.cpp, mrw/exception.hpp,
	  mrw/stacktrace.hpp:
	  interference between group name StackTrace and class name
	  StackTrace

2005-01-28 11:22  marc

	* [r137] mrw/makefile.am:
	  cppunit flags

2005-01-28 10:49  marc

	* [r136] configure.in:
	  check for cppunit

2005-01-28 07:57  marc

	* [r135] ChangeLog, configure.in:
	  *** empty log message ***

2005-01-28 07:53  marc

	* [r134] mrw/tokenizer.hpp:
	  Doc: added #include

2005-01-28 07:53  marc

	* [r133] mrw/string.hpp:
	  doc: hint regarding iomanip on string

2005-01-28 07:52  marc

	* [r132] mrw/stdext.hpp:
	  typo in doc

2005-01-28 07:52  marc

	* [r131] mrw/regexp.hpp:
	  added #include to documentation

2005-01-28 07:51  marc

	* [r130] mrw/exception.hpp, mrw/stacktrace.cpp,
	  mrw/stacktrace_test.cpp:
	  improved and corrected trace formatting

2005-01-28 07:49  marc

	* [r129] mrw/configfile.cpp, mrw/configfile.hpp, mrw/file.hpp:
	  Save configuration using file.hpp

2005-01-28 07:42  marc

	* [r128] mrw/autostacktracelog4cxx.cpp,
	  mrw/autostacktracestderr.cpp:
	  added terminate handler (uncaught handler)

2005-01-07 01:07  marc

	* [r126] mrw/makefile.am:
	  added configuration files for test

2005-01-07 00:57  marc

	* [r125] mrw/makefile.am:
	  the test script was not distributed

2005-01-07 00:37  marc

	* [r124] ChangeLog, NEWS:
	  *** empty log message ***

2005-01-07 00:37  marc

	* [r123] makefile.am:
	  config file handler and file

2005-01-07 00:36  marc

	* [r122] configure.in:
	  changes for solaris

2005-01-07 00:35  marc

	* [r121] mrw/configfile.cpp[ADD], mrw/configfile.hpp[ADD],
	  mrw/configfile.ini[ADD], mrw/configfile.ini.result[ADD],
	  mrw/configfile_check.sh[ADD], mrw/configfile_test.cpp[ADD],
	  mrw/file.hpp[ADD], mrw/tokenizer_test.cpp:
	  initial version

2005-01-07 00:34  marc

	* [r120] mrw/stacktrace.cpp:
	  some changes for solaris

2005-01-07 00:33  marc

	* [r119] mrw/makefile.am:
	  added config file and file

2004-12-20 13:32  marc

	* [r116] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2004-12-20 13:24  marc

	* [r115] mrw/regexp.hpp, mrw/tokenizer.hpp:
	  #ifndef forgotten

2004-12-20 13:24  marc

	* [r114] mrw/string.hpp:
	  from string conversion throws exception in case of failure

2004-12-20 13:23  marc

	* [r113] mrw/stdext_test.cpp:
	  new tests for string exceptions

2004-12-20 13:22  marc

	* [r112] mrw/stacktrace.cpp:
	  mrw string now throws exceptions, catch needed

2004-12-20 13:21  marc

	* [r111] mrw/exec_test.cpp:
	  exception tests: each exception must be in an own test case

2004-12-20 07:40  marc

	* [r110] mrw/auto.hpp, mrw/deque.hpp, mrw/exec.cpp, mrw/list.hpp,
	  mrw/map.hpp, mrw/multimap.hpp, mrw/multiset.hpp, mrw/regexp.hpp,
	  mrw/set.hpp, mrw/stdext.hpp, mrw/string.hpp, mrw/tokenizer.hpp,
	  mrw/vector.hpp:
	  documentation improved, new grouping

2004-12-20 07:33  marc

	* [r109] ChangeLog, configure.in:
	  *** empty log message ***

2004-12-18 21:01  marc

	* [r108] ChangeLog:
	  *** empty log message ***

2004-12-18 21:00  marc

	* [r107] mrw/exec.cpp:
	  everything is ok, when pipes are non blocking on parent's side
	  and blocking on client's side, and select is not used (not
	  necessary for non blocking IO)

2004-12-18 20:58  marc

	* [r106] mrw/unistd.hpp:
	  pipes can be blocking, non blocking or blocking on one side only
	  default is again blocking, because it causes less trouble

2004-12-17 17:38  marc

	* [r105] mrw/exec.cpp:
	  it works perfectly with blocking pipes and buffer size of 1

2004-12-17 16:30  marc

	* [r104] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2004-12-17 16:30  marc

	* [r103] makefile.am, mrw/makefile.am:
	  added tokenizer

2004-12-17 16:28  marc

	* [r102] mrw/exec.cpp:
	  stable implementation with select for both executes

2004-12-17 16:27  marc

	* [r101] mrw/regexp.hpp:
	  error in documentation syntax

2004-12-17 16:27  marc

	* [r100] mrw/stdext.hpp:
	  error in documentation: group forgotten

2004-12-17 16:26  marc

	* [r99] mrw/tokenizer.hpp[ADD], mrw/tokenizer_test.cpp[ADD]:
	  initial version

2004-12-16 13:39  marc

	* [r97] ChangeLog:
	  *** empty log message ***

2004-12-16 13:10  marc

	* [r95] configure.in:
	  release 1.3.1

2004-12-16 13:09  marc

	* [r94] ChangeLog:
	  *** empty log message ***

2004-12-16 13:09  marc

	* [r93] mrw/string.hpp:
	  inlines forgotten

2004-12-16 13:09  marc

	* [r92] mrw/regexp.cpp, mrw/regexp.hpp, mrw/regexp_test.cpp:
	  possibility to evaluate and extract sub expressions

2004-12-14 20:32  marc

	* [r91] mrw/unistd.hpp:
	  support for connect_cin
	  pipe is now non blocking by default

2004-12-14 20:30  marc

	* [r90] mrw/exec.cpp, mrw/exec.hpp, mrw/exec_test.cpp:
	  added possibility to pass string to stdin of child process

2004-12-14 20:24  marc

	* [r89] NEWS:
	  added regexp and Exec with stdin

2004-12-14 20:22  marc

	* [r88] makefile.am, mrw/makefile.am:
	  added regexp

2004-12-14 20:22  marc

	* [r87] ChangeLog, configure.in:
	  *** empty log message ***

2004-12-14 20:21  marc

	* [r86] mrw/stdext.cpp:
	  bugfix, now it works for empty lines

2004-12-14 20:20  marc

	* [r85] mrw/regexp.cpp[ADD], mrw/regexp.hpp[ADD],
	  mrw/regexp_test.cpp[ADD]:
	  initial version

2004-12-08 13:48  marc

	* [r83] mrw/makefile.am:
	  forget TRACE

2004-12-08 13:40  marc

	* [r82] configure.in:
	  error in output (trace)

2004-12-08 13:34  marc

	* [r81] configure.in:
	  default: no tracer

2004-11-25 18:33  marc

	* [r80] configure.in, mrw/makefile.am:
	  support for function tracing which does not yet work (bug in
	  OpenC++)

2004-11-25 18:32  marc

	* [r79] mrw-c++.spec.in:
	  build optimized

2004-11-25 18:30  marc

	* [r78] ChangeLog:
	  *** empty log message ***

2004-11-25 18:30  marc

	* [r77] mrw/stacktrace.hpp:
	  bug fixed (put solution in the documentation)

2004-11-25 18:27  marc

	* [r76] mrw/auto_test.cpp:
	  additional test for release and reset

2004-11-25 18:26  marc

	* [r75] mrw/arg.cpp, mrw/arg.hpp:
	  Constness corrected

2004-10-13 11:27  marc

	* [r73] mrw/doxyfile.in:
	  removed deprecated tags

2004-10-13 11:23  marc

	* [r72] ChangeLog, NEWS, configure.in:
	  *** empty log message ***

2004-10-13 11:21  marc

	* [r71] mrw-c++.spec.in:
	  no more need for /usr/bin/ldd, but for binutils (in devel)

2004-10-13 11:19  marc

	* [r70] mrw/stdext_test.cpp:
	  remove stdout, print stack trace

2004-10-13 11:18  marc

	* [r69] mrw/stdext.cpp[ADD], mrw/stdext.hpp:
	  getline reads a whole line from a stream

2004-10-13 11:17  marc

	* [r68] mrw/makefile.am:
	  new file stdext.cpp

2004-10-13 10:49  marc

	* [r67] mrw/stacktrace_test.cpp:
	  check whether shared libraries are evaluated

2004-10-13 10:47  marc

	* [r66] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  no more need for ldd in StackTrace, read from /proc/self/maps

2004-10-13 10:43  marc

	* [r65] mrw/exec_test.cpp:
	  test for bad exception specification

2004-10-13 10:41  marc

	* [r64] mrw/autostacktracestderr.cpp:
	  no newline at the end of stack trace

2004-10-11 18:33  marc

	* [r62] makefile.am, mrw/makefile.am:
	  add stdext.hpp

2004-10-11 18:30  marc

	* [r61] mrw/stdext.hpp[ADD]:
	  *** empty log message ***

2004-10-11 16:50  marc

	* [r59] configure.in:
	  Version 1.2.0

2004-10-11 16:50  marc

	* [r58] ChangeLog:
	  *** empty log message ***

2004-10-11 16:49  marc

	* [r57] mrw/stacktrace.hpp:
	  Better comment for new shared library feature

2004-10-11 16:48  marc

	* [r56] mrw/auto.hpp:
	  better comment and operators -> and * for AutoPtr

2004-10-11 16:05  marc

	* [r55] mrw/auto.hpp:
	  new AutoPtr

2004-10-11 16:00  marc

	* [r54] NEWS:
	  support for shared libraries in StackTrace

2004-10-11 15:59  marc

	* [r53] mrw-c++.spec.in:
	  support for shared libraries requires /usr/bin/ldd

2004-10-11 15:59  marc

	* [r52] ChangeLog:
	  *** empty log message ***

2004-10-11 15:58  marc

	* [r51] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  First version with working support for shared libraries!

2004-10-07 17:26  marc

	* [r50] mrw-c++.spec.in:
	  requirements for devel package

2004-10-07 17:25  marc

	* [r49] makefile.am:
	  make rpm also installs the new rpm (to check whether this is
	  possible)

2004-10-07 16:59  marc

	* [r48] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  new method createSymtable that takes a list of arguments
	  -> untested!

2004-10-07 16:16  marc

	* [r47] mrw/makefile.am:
	  forgotten to save before last checkin...

2004-10-07 16:12  marc

	* [r46] makefile.am:
	  a backslash too much

2004-10-07 16:01  marc

	* [r45] ChangeLog, NEWS, configure.in, makefile.am:
	  new headers missing in installation

2004-10-07 13:41  marc

	* [r44] mrw-c++-devel.spec.in[DEL]:
	  only one spec file

2004-10-07 13:41  marc

	* [r42] configure.in, makefile.am, mrw-c++.spec.in:
	  devel in the same spec file

2004-10-07 09:32  marc

	* [r41] mrw/stacktrace.cpp, mrw/stacktrace.hpp:
	  correction in parameter (const&)

2004-10-07 09:31  marc

	* [r40] mrw/deque.hpp[ADD], mrw/list.hpp[ADD], mrw/map.hpp[ADD],
	  mrw/multimap.hpp[ADD], mrw/multiset.hpp[ADD], mrw/set.hpp[ADD],
	  mrw/stdext_test.cpp[ADD], mrw/string.hpp[ADD],
	  mrw/vector.hpp[ADD]:
	  new feature

2004-10-07 09:30  marc

	* [r39] mrw/mrw.hpp.in:
	  several changes and reorganisation
	  mrw namespace docu

2004-10-07 09:29  marc

	* [r38] mrw/makefile.am:
	  new classes
	  new versioning
	  link tests with unexpected handler
	  check doxygen.error

2004-10-07 09:27  marc

	* [r37] mrw/exec.hpp:
	  errors in documentation

2004-10-07 09:25  marc

	* [r36] mrw/exception.hpp:
	  new group for suggestions
	  new inheritance

2004-10-07 09:24  marc

	* [r35] mrw/auto.hpp:
	  enhance windoze compatibility

2004-10-07 09:23  marc

	* [r34] mrw/arg.hpp:
	  bugs in documentation

2004-10-07 09:22  marc

	* [r33] README:
	  describe standard extensions

2004-10-07 09:22  marc

	* [r32] INSTALL, NEWS:
	  *** empty log message ***

2004-10-07 07:02  marc

	* [r31] configure.in:
	  better naming for major minor and least (one is a keyword)
	  PEDANTIC is now a AM variable

2004-10-07 07:01  marc

	* [r30] ChangeLog:
	  *** empty log message ***

2004-09-09 20:09  marc

	* [r29] ChangeLog, configure.in, makefile.am,
	  mrw-c++-devel.spec.in, mrw-c++.spec.in, mrw/doxyfile.in,
	  mrw/makefile.am, mrw/mrw.hpp.in, mrw/version.cpp.in:
	  library versioning now works how i want it

2004-08-31 16:24  marc

	* [r27] configure.in:
	  no "if [];" but "if test;"!

2004-08-31 16:23  marc

	* [r26] mrw/makefile.am:
	  added .PHONY

2004-08-31 16:23  marc

	* [r25] mrw/arg.hpp:
	  no include of stacktrace.hpp

2004-08-31 16:22  marc

	* [r24] makefile.am:
	  webserver now depends on tag and rpm
	  added .PHONY

2004-08-31 16:19  marc

	* [r23] ChangeLog:
	  Oops! No if []; but if test;

2004-08-31 16:01  marc

	* [r22] configure.in:
	  no -lbfd for --disable-stacktrace

2004-08-31 15:57  marc

	* [r21] bootstrap.sh:
	  added file header

2004-08-29 19:53  marc

	* [r20] mrw/libmrw.doxytag[DEL]:
	  Generierte Datei, geh��rt nicht ins Archiv.

2004-08-29 19:22  marc

	* [r19] mrw/mrw.hpp.in:
	  Thread chapter added

2004-08-29 19:20  marc

	* [r18] mrw/doxyfile.in:
	  "Version" text in PROJECT_NUMBER

2004-08-28 16:21  marc

	* [r17] ChangeLog, NEWS, README, bootstrap.sh, configure.in,
	  makefile.am, mrw-c++-devel.spec.in, mrw-c++.spec.in, mrw/arg.hpp,
	  mrw/auto.hpp, mrw/auto_test.cpp, mrw/autostacktracelog4cxx.cpp,
	  mrw/autostacktracestderr.cpp, mrw/doxyfile.in, mrw/exception.cpp,
	  mrw/exception.hpp, mrw/exec.cpp, mrw/exec.hpp, mrw/exec_test.cpp,
	  mrw/libmrw.doxytag, mrw/makefile.am, mrw/mrw.hpp.in,
	  mrw/mrwexclog4cxx_test.cpp, mrw/mrwexcstderr_test.cpp,
	  mrw/simpletrace.hpp, mrw/smartpointer.hpp, mrw/stacktrace.cpp,
	  mrw/stacktrace.hpp, mrw/stacktrace_test.cpp, mrw/unistd.hpp:
	  mrw-c++-0.92 (mrw)
	  - new file: version.cpp
	  - new file header for all sources
	  - work around warning in mrw::auto<T>
	  - possibility to compile without log4cxx
	  - work around bugs in demangle.h and libiberty.h
	  - corrections in documentation
	  - added simple tracing mechanism
	  - more warnings
	  - small corrections in Auto<>::Free and a new test for it
	  - possibility to compile without stack trace

2004-08-28 16:13  marc

	* [r16] mrw/arg.cpp[ADD], mrw/auto.cpp[DEL],
	  mrw/smartpointer_test.cpp[ADD], mrw/version.cpp.in[ADD]:
	  mrw-c++-0.92 (mrw)
	  - new file: version.cpp
	  - new file header for all sources
	  - work around warning in mrw::auto<T>
	  - possibility to compile without log4cxx
	  - work around bugs in demangle.h and libiberty.h
	  - corrections in documentation
	  - added simple tracing mechanism
	  - more warnings
	  - small corrections in Auto<>::Free and a new test for it
	  - possibility to compile without stack trace

2004-08-25 15:26  marc

	* [r15] mrw/doxyfile.in:
	  new file header

2004-08-25 08:35  marc

	* [r14] mrw/unistd.hpp:
	  change in file header

2004-08-25 08:22  marc

	* [r13] mrw/unistd.hpp:
	  added file header

2004-05-05 06:13  marc

	* [r12] configure.in, mrw/auto.cpp, mrw/doxyfile.in,
	  mrw/libmrw.doxytag[ADD], mrw/makefile.am, mrw/stacktrace.cpp,
	  mrw/stacktrace_test.cpp:
	  mit doxy-tag file

2004-04-27 20:26  marc

	* [r10] ChangeLog, NEWS, configure.in, makefile.am,
	  mrw/arg.hpp[ADD], mrw/auto_test.cpp, mrw/doxyfile.in,
	  mrw/examples/smartpointer.cpp[ADD], mrw/exception.hpp,
	  mrw/makefile.am, mrw/simpletrace.hpp[ADD],
	  mrw/smartpointer.hpp[ADD], mrw/stacktrace.hpp:
	  release 0.91

2004-04-23 16:03  marc

	* [r8] COPYING, ChangeLog, NEWS, README, bootstrap.sh[ADD],
	  configure.in, makefile.am, mrw-c++-devel.spec.in[ADD],
	  mrw-c++.spec.in[ADD], mrw/auto.hpp,
	  mrw/autostacktracelog4cxx.cpp[ADD], mrw/autostacktracestderr.cpp,
	  mrw/doxyfile.in, mrw/examples[ADD],
	  mrw/examples/exceptionhandling.cpp[ADD], mrw/exception.hpp,
	  mrw/exec.cpp, mrw/exec.hpp, mrw/makefile.am, mrw/mrw.hpp.in,
	  mrw/mrwexclog4cxx_test.cpp[ADD], mrw/mrwexcstderr_test.cpp[ADD],
	  mrw/stacktrace.hpp, mrw/unistd.hpp:
	  Version 0.90

2004-04-21 20:24  marc

	* [r7] makefile.am, mrw/exec_test.cpp, mrw/mrw.hpp.in:
	  RELEASE 0.10

2004-04-21 19:26  marc

	* [r6] INSTALL[ADD]:
	  INSTALL

2004-04-21 19:03  marc

	* [r5] configure.in, makefile.am, mrw/doxyfile.in, mrw/exec.cpp,
	  mrw/exec_test.cpp, mrw/makefile.am, mrw/mrw.hpp[DEL],
	  mrw/mrw.hpp.in[ADD], mrw/stacktrace_test.cpp:
	  webserver target

2004-04-21 17:52  marc

	* [r4] AUTHORS[ADD], COPYING[ADD], ChangeLog[ADD], NEWS[ADD],
	  README[ADD]:
	  mit automake/autoconf

2004-04-21 06:39  marc

	* [r2] configure.in[ADD], makefile.am[ADD], mrw[ADD],
	  mrw/auto.cpp[ADD], mrw/auto.hpp[ADD], mrw/auto_test.cpp[ADD],
	  mrw/autostacktracestderr.cpp[ADD], mrw/doxyfile.in[ADD],
	  mrw/exception.cpp[ADD], mrw/exception.hpp[ADD],
	  mrw/exec.cpp[ADD], mrw/exec.hpp[ADD], mrw/exec_test.cpp[ADD],
	  mrw/makefile.am[ADD], mrw/mrw.hpp[ADD], mrw/stacktrace.cpp[ADD],
	  mrw/stacktrace.hpp[ADD], mrw/stacktrace_test.cpp[ADD],
	  mrw/test.dat[ADD], mrw/unistd.hpp[ADD]:
	  erste version, test vor configure

2004-04-21 06:39  

	* [r1] .[ADD]:
	  New repository initialized by cvs2svn.

